Page MenuHomePhabricator

Grant Access to analytics-privatedata-users for Segun Oworu
Closed, ResolvedPublicFeature

Description

Requestor provided information and prerequisites

This section is to be completed by the individual requesting access.

  • Wikitech username: Segun Oworu
  • Email address: soworu@wikimedia.org
  • SSH public key: I'm not sure
  • Requested group membership: analytics-privatedata-users
  • Reason for access: I'm in the Insights and Marketing team, and we are launching small campaign with the goal of getting people to download and use our free Wordpress plugin for the Wikipedia Preview project. I want to track how many times the Wordpress plugin loads Wikipedia on other sites.
  • Name of approving party (manager for WMF/WMDE staff): @AAlikhan
  • Ensure you have signed the L3 Wikimedia Server Access Responsibilities document: n/a
  • Please coordinate obtaining a comment of approval on this task from the approving party.

SRE Clinic Duty Confirmation Checklist for Access Requests

This checklist should be used on all access requests to ensure that all steps are covered, including expansion to existing access. Please double check the step has been completed before checking it off.

This section is to be confirmed and completed by a member of the SRE team.

  • - User has signed the L3 Acknowledgement of Wikimedia Server Access Responsibilities Document.
  • - User has a valid NDA on file with WMF legal. (All WMF Staff/Contractor hiring are covered by NDA. Other users can be validated via the NDA tracking sheet)
  • - User has provided the following: wikitech username, email address, and full reasoning for access (including what commands and/or tasks they expect to perform)
  • - access request (or expansion) has sign off of WMF sponsor/manager (sponsor for volunteers, manager for wmf staff)
  • - access request (or expansion) has sign off of group approver indicated by the approval field in data.yaml

For additional details regarding access request requirements, please see https://wikitech.wikimedia.org/wiki/Requesting_shell_access

Event Timeline

@soworu: For future reference, please add project tags so someone could find this task, and please follow the instructions pointing to https://phabricator.wikimedia.org/project/profile/956/ linking to a template. Thanks a lot! :)

Vgutierrez triaged this task as Medium priority.Jul 18 2022, 1:06 PM
Vgutierrez added a subscriber: Vgutierrez.

cc @Ottomata || @odimitrijevic for analytics-privatedata-users approval as of data.yaml

@soworu While the approval process is going on, and based on your comment that you are not sure about the SSH key, take a look here https://wikitech.wikimedia.org/wiki/SRE/Production_access#Generating_your_SSH_key on how to generate a new key pair. If that works for you you can then paste the public part of it here on this ticket. It will be needed to make this work. Cheers!

I'm approving this request for @soworu. Let me know if there's anything beyond this comment that I need to do to support. Thanks. - Anusha Alikhan

I'm approving this request for @soworu. Let me know if there's anything beyond this comment that I need to do to support. Thanks. - Anusha Alikhan

That's enough from your side @AAlikhan. Now we need approval from Data Engineering.

@soworu you haven't submitted a SSH key. This is ok for analytics-privatedata-users access per https://wikitech.wikimedia.org/wiki/Analytics/Data_access#Access_Levels

Is it enough to grant you access to the web tools provided by Analytics or do you also need Hadoop access?

@soworu what data are you trying to access? I'm not aware of any usage data from wordpress extensions. Do you plan on instrumenting your wordpress extension to send events to us?

See also: https://wikitech.wikimedia.org/wiki/Analytics/Data_access#What_access_should_I_request?

Dzahn changed the task status from Open to In Progress.Jul 29 2022, 5:36 PM
Dzahn reassigned this task from Vgutierrez to soworu.
BCornwall changed the task status from In Progress to Stalled.Aug 11 2022, 5:46 PM
BCornwall added a subscriber: BCornwall.

Hi, @soworu, are you still wanting this access? If so, it'd be useful to answer the questions posed by @Ottomata and @Vgutierrez

SSH key: SHA256:9+15cZ0xKHi7PqAzF0LR1NXfsD5ex8PbiojwKfqoLSk soworu@wmf2559

@Vgutierrez Just analytics if fine. I need it to view the extent of use of the plugin.

@Ottomata , I need it to be able to view a Superset dashboard which tracks pageviews and previews coming from the Wordpress plugin (https://superset.wikimedia.org/superset/dashboard/258/)

If you just need to view a superset dashboard, you do not need ssh access. LDAP + group membership in analytics-privatedata-users is sufficient.

@Ottomata, @soworu: In this case, shall I alter the access request to membership to analytics-privatedata-users? And if so, @Ottomata, do you approve?

@BCornwall, If that is the case, please do the as needed, subject to @Ottomata approval. Thanks.

Change 822680 had a related patch set uploaded (by BCornwall; author: BCornwall):

[operations/puppet@production] admin: Move soworu-01 from ldap-only to analytics

https://gerrit.wikimedia.org/r/822680

BCornwall changed the task status from Stalled to In Progress.Aug 12 2022, 9:57 PM
BCornwall reassigned this task from soworu to Ottomata.

Change 822680 merged by BCornwall:

[operations/puppet@production] admin: Move soworu-01 from ldap-only to analytics

https://gerrit.wikimedia.org/r/822680

Your permissions have been changed and will go into effect after a short period. I'm closing this ticket now but feel free to reopen if you have any issues!